import { defineComponent as c, useCssVars as k, unref as e, reactive as D, toRefs as y, openBlock as n, createElementBlock as i, createElementVNode as t, toDisplayString as a, Fragment as E, renderList as g, createTextVNode as d, createVNode as C, pushScopeId as N, popScopeId as S } from "vue";
import { NNumberAnimation as B } from "naive-ui";
const r = (s) => (N("data-v-44e4339a"), s = s(), S(), s), I = { class: "din" }, V = { class: "title" }, j = { class: "kuan_din" }, A = /* @__PURE__ */ r(() => /* @__PURE__ */ t("div", { class: "din_tu" }, [
  /* @__PURE__ */ t("div", { class: "din_bjt" })
], -1)), T = { class: "din_tl" }, F = { class: "din_flex" }, L = /* @__PURE__ */ r(() => /* @__PURE__ */ t("div", { class: "din_biao" }, null, -1)), R = { class: "din_num" }, q = c({ name: "EBoundingBox02" }), G = /* @__PURE__ */ c({
  ...q,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(s) {
    const l = s;
    k((b) => ({
      "4b73b6b8": e(p),
      "0d78e7d7": e(f) + "px",
      "57b13b91": e(v) + "px",
      "57a2a2b9": e(h) + "px"
    }));
    const u = D({
      datas: [
        {
          key: "\u5E94\u6536\u91D1\u989D",
          value: 0,
          unit: "\u4E07"
        },
        {
          key: "\u5DF2\u6536\u91D1\u989D",
          value: 0,
          unit: "\u4E07"
        },
        {
          key: "\u672A\u6536\u91D1\u989D",
          value: 0,
          unit: "\u4E07"
        }
      ]
    }), { titleText: _, titleColor: p, titleSize: f, titleLeft: v, titleTop: h, datas: m } = y(
      l.chartConfig.option
    );
    return u.datas = m, (b, w) => (n(), i("div", I, [
      t("div", V, a(e(_)), 1),
      t("div", j, [
        A,
        t("div", T, [
          (n(!0), i(E, null, g(u.datas, (o, x) => (n(), i("div", {
            key: x,
            class: "din_shuj"
          }, [
            t("div", F, [
              L,
              d(" " + a(o.key) + ": ", 1)
            ]),
            t("span", R, [
              C(e(B), {
                ref_for: !0,
                ref: "numberAnimationInstRef",
                to: o.value
              }, null, 8, ["to"])
            ]),
            d(a(o.unit), 1)
          ]))), 128))
        ])
      ])
    ]));
  }
});
export {
  G as default
};
